<script lang="ts">
  import { createEventDispatcher } from 'svelte';

  const dispatch = createEventDispatcher();

  let button: HTMLButtonElement;

  export let enabled = true;

  $: color = enabled ? 'rgba(255,255,255,0.1)' : 'red';

  const onClick = () => {
    button.style.transform = 'scale(0.95)';
    setTimeout(() => {
      button.style.transform = 'scale(1)';
    }, 100);

    dispatch('click');
  };
</script>

<button
  bind:this={button}
  class="inline-block"
  on:click={onClick}>
  <!-- <Circle {color}> -->
  <img
    src="~/ui/arrow-forward.svg"
    width="30"
    color="red" />
  <!-- </Circle> -->
</button>

<style>
  button {
    padding: 10px;
    border: 1px solid rgb(255 255 255 / 10%);
    border-radius: 50%;

    /* opacity: 0.9; */

    /* box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
      rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset; */
    backdrop-filter: blur(5px);
    background-color: rgb(255 255 255 / 10%);
    background-color: white;
  }
</style>
